function [melMatrix] = MFC( matrix )
%use the hz2mel function

  hzBins = 1024;
  realHzBins = hzBins/2;
  
  step = 44000/(realHzBins);  %evenly spaced size in HZ
  
  [row,col] = size(matrix);
  melMatrix = zeros(70,col);
  for oldRow = 1 : realHzBins
    newRow = round (hz2mel((step*oldRow),0));
    melMatrix(newRow,:) = melMatrix(newRow,:) + matrix(oldRow,:);
  end
end


function [melMatrix] = MFC_old2( matrix )
%Put 1-1, 2-2, 3-3, 4-4, 5+6-5 7+8-6...
  [row,col] = size(matrix);
  melMatrix = zeros(32,col);
  oldRow = 1;
  newRow = 1
    for newRowsPerLevel = 1 : 6
      for rowsAtLevel = 1 :4 
        for rowsToAdd = 1 : (newRowsPerLevel^2);
          melMatrix(newRow,:) = melMatrix(newRow,:) + matrix(oldRow,:);
          oldRow = oldRow + 1;
        end
        newRow = newRow + 1;
      end
  end
end

function [melMatrix] = MFC_old( matrix )
% put 1-1 2+3-2 4+5+6+7-3 +8+9+10+11+12+13+14+15-4 ....
  [row,col] = size(matrix);
  melMatrix = zeros(9,col);
  oldRow = 1;
    for newRow = 1 : 9
      for rowsToAdd = 1 : (newRow^2);
          melMatrix(newRow,:) = melMatrix(newRow,:) + matrix(oldRow,:);
          oldRow = oldRow + 1;
      end
  end
end
