function [ synapses ] = ReadFLIFNet( filename )
%Read the synapses from a file.  Return a 3xSynapse matrix row 1 from,
%row 2 to, row 3 weight
  fileID = fopen(filename);
  a = fgets(fileID); %rows
  row = str2num(a);
  a = fgets(fileID); %cols
  col = str2num(a);
  synapses = [];
  for neuronNum = 1 : (row*col)
  %for neuronNum = 1 :1
    newNeuron = readNeuron(neuronNum, fileID);
    synapses = [synapses [newNeuron]];
  end
  fclose(fileID);
end

function [ output ] = readNeuron(fromNeuronNum , fileID )
  %read the next neuron and return a 2xsynapse matrix of toNeuron weight
  a = fgets(fileID); %neuron_num Neuron
  a = fgets(fileID); %num_synapses Axons
  numSynapses = sscanf(a,'%d'); 
  output = [];
  for synapses = 1 : numSynapses
    a = fgets(fileID); %toNetName toNeuronNum weight
    netName = strtok(a,' ');
    a = regexprep(a,netName, ' ');
    toNeuronStr = strtok(a,' ');
    toNeuronNum = str2num(toNeuronStr);
    a = regexprep(a,toNeuronStr, ' ','once');
    weightStr = strtok(a,' ');
    weight = str2num(weightStr);
    output = [output [fromNeuronNum;toNeuronNum;weight]];
  end
  output_args = weight;
end
