function [freqDist] = freqDist( wavFile )
%Convert a wav file to a frequency distribution
hzBins = 1024;

wavArray = wavread(wavFile);
len = length (wavArray);
newLen = len - rem(len,hzBins);

trimmedArray = wavArray(1:newLen);
cols = newLen/hzBins;

newMatrix = reshape(trimmedArray,hzBins,cols);

freqDistFull = fft(newMatrix);

%combine the imaginary and real components
freqDistReal = real(freqDistFull);
freqDistImagine = imag(freqDistFull);
freqDist = sqrt(times(freqDistReal,freqDistReal) + times (freqDistImagine,freqDistImagine));
end

