function [ formantMatrix ] = getFormantsOnly( MFCCMatrix )
%MFCCMatrix is large by 20 eg. 354x20
%Take the input Matrix and decide which two formants have
%the highest value.

%Condense to 1x20array
MFCCArray = sum (MFCCMatrix);

%Take out the first formant and immediate neighbors
[f1Val,f1Loc] = max (MFCCArray);
f1RemovedArray = MFCCArray;
if (f1Loc == 1)
  f1RemovedArray([f1Loc:f1Loc+1]) = [0 0];
else 
  f1RemovedArray([f1Loc-1:f1Loc+1]) = [0 0 0];
end

%
[f2Val,f2Loc] = max (f1RemovedArray);

%create an array of zeros except a 1 for both formants
formantArray = zeros(20);

m = 0.5; %m is modifier
if (f1Loc > 1)
  formantArray(1:20, f1Loc-1) =  [m m m m m m m m m m m m m m m m m m m m];
end
formantArray(1:20, f1Loc) =  [1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1];
formantArray(1:20, f1Loc+1) = [m m m m m m m m m m m m m m m m m m m m];

formantArray(1:20, f2Loc-1) =  [m m m m m m m m m m m m m m m m m m m m];
formantArray(1:20, f2Loc) =  [1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1];
formantArray(1:20, f2Loc+1) = [m m m m m m m m m m m m m m m m m m m m];

%multiply the now zeroed matrix by the input
formantMatrix = MFCCMatrix*formantArray;
end

